Loading...
Searching...
No Matches
coap_dtls_spsk_t Struct Reference
Application API » DTLS Support

The structure used for defining the Server PSK setup data to be used. More...

`#include <coap_dtls.h>`

Collaboration diagram for coap_dtls_spsk_t:
[legend]

## Data Fields

uint8_t | version
uint8_t | reserved [7]
| Set to COAP_DTLS_SPSK_SETUP_VERSION to support this version of the struct.
coap_dtls_id_callback_t | validate_id_call_back
| Identity check callback function.
void * | id_call_back_arg
| Passed in to the Identity callback function.
coap_dtls_psk_sni_callback_t | validate_sni_call_back
| SNI check callback function.
void * | sni_call_back_arg
| Passed in to the SNI callback function.
coap_dtls_spsk_info_t | psk_info
| Server PSK definition.

## Detailed Description

The structure used for defining the Server PSK setup data to be used.

Definition at line 465 of file coap_dtls.h.

## Field Documentation

## id_call_back_arg

void* coap_dtls_spsk_t::id_call_back_arg

Passed in to the Identity callback function.

Definition at line 485 of file coap_dtls.h.

## psk_info

coap_dtls_spsk_info_t coap_dtls_spsk_t::psk_info

Server PSK definition.

Definition at line 495 of file coap_dtls.h.

## reserved

uint8_t coap_dtls_spsk_t::reserved[7]

Set to COAP_DTLS_SPSK_SETUP_VERSION to support this version of the struct.

Reserved - must be set to 0 for future compatibility

Definition at line 470 of file coap_dtls.h.

## sni_call_back_arg

void* coap_dtls_spsk_t::sni_call_back_arg

Passed in to the SNI callback function.

Definition at line 493 of file coap_dtls.h.

## validate_id_call_back

coap_dtls_id_callback_t coap_dtls_spsk_t::validate_id_call_back

Identity check callback function.

If not `NULL`, is called when the Identity is provided by the client. The appropriate Pre-Shared Key to use can then be returned.

Definition at line 484 of file coap_dtls.h.

## validate_sni_call_back

coap_dtls_psk_sni_callback_t coap_dtls_spsk_t::validate_sni_call_back

SNI check callback function.

If not `NULL`, called if the SNI is not previously seen and prior to sending PSK information back to the client so that the appropriate PSK information can be used based on the requesting SNI.

Definition at line 492 of file coap_dtls.h.

## version

uint8_t coap_dtls_spsk_t::version

Definition at line 466 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h